# -* sh path added by autoconfiscator      *-
#
# Author: Leni Mayo, 2001
#
# echo $* >> /tmp/serel-wrap.log
#
# Eventually, this shell script will disappear to be replaced
# by a C program for efficiency - the time program (see: "man 1 time")
# is an example of the sort of thing.

if [ $# != 2 ]; then
	echo "Usage: $0 path {start | stop}"
	exit 1
fi

# create a shell in the background that does the dependencies,
# then exec's the script.  exec is necessary 'cos its the ppid that
# ties together the script and the need/provide/unprovide.
#
/bin/bash -s << END &
	serelhistory --apply $1
	exec $@
END

pid=$!

# If all works well, this trap will be trying to kill processes
# that don't exist.  When something breaks, or if this script
# gets killed, the trap kills processes that would otherwise becomes zombies.
# We probably also want to do a statuschange in that scenario, but we'd 
# need to first query that one hadn't been done.
#
trap "kill $pid > /dev/null 2>&1 " EXIT

wait $pid
status=$?
serelc --statuschange $pid $status

exit $status
